List Issues

The issues list endpoint allow you to retrieve all the issues that meet a certain criteria. The presence of next_page_token indicates that there are more results for this search. The request can specify the number of issues that will be returned using the optional parameter page_size. It accepts non-negative numbers with a default of 20 and maximum value of 100.

Returned issues can be filtered using the filters argument. They can also be sorted by providing the sort_field and sort_direction options.

Body Params

GetIncidentsRequest represents the parameters to GetIncidents.

GetIncidentsRequest represents the parameters to GetIncidents.

int32

Optional. Number of issues to be returned in a single request.
This must be a value between 1 and 100, any values outside of this range
will be ignored. The presence of next_page_token in the response
indicates that more results might be available.

string

Optional. If present, then retrieve the next batch of results from the
preceding call to this method. page_token must be the value of
next_page_token from the previous response. The values of other method
parameters should be identical to those in the previous call.
This can be used to retrieve more than 100 issues with multiple API
calls. For example: 'ODFBMzQ3MDYtNzQxNy00RDZGLThDNjE1MEFDMkM4MTQ3NDQ='

string
enum
Defaults to SORT_FIELD_UNKNOWN

Optional. Which field to use for sorting.

Allowed:
string
enum
Defaults to SORT_DIRECTION_UNKNOWN

Optional. Direction for sorting.

Allowed:
filters
array of objects

Optional. An array of filters can be provided in the request to filter the
issues.

filters
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json